<template>
  <div>
    <h1 class="my-2">{{ $t("ProviderEdit.alertsAndFeatures") }}</h1>
    <v-divider class="my-2"></v-divider>
    <v-expansion-panels v-model="panel" multiple class="mt-3">
      <v-expansion-panel>
        <v-expansion-panel-header class="title">{{
          $t("ProviderEdit.providerAlerts")
        }}</v-expansion-panel-header>
        <v-divider></v-divider>

        <v-expansion-panel-content class="body-2">
          <div v-for="item in getProvider.providerAlerts" :key="item">
            <v-chip class="ma-1" color="#bf87a0" text-color="white">
              {{ item }}
            </v-chip>
          </div>
        </v-expansion-panel-content>
      </v-expansion-panel>

      <v-expansion-panel>
        <v-expansion-panel-header class="title">{{
          $t("ProviderEdit.providerFeatures")
        }}</v-expansion-panel-header>
        <v-divider></v-divider>

        <v-expansion-panel-content class="body-2">
          <div v-for="item in getProvider.providerFeatures" :key="item">
            <v-chip class="ma-1" color="#bf87a0" text-color="white">
              {{ item }}
            </v-chip>
          </div>
        </v-expansion-panel-content>
      </v-expansion-panel>
    </v-expansion-panels>
  </div>
</template>
<script>
import { mapActions, mapGetters } from "vuex";
export default {
  name: "alertsAndFeatures",
  data() {
    return {
      panel: [1],
    };
  },
  mounted() {
    this.fetchSingleProvider(this.$route.params.id);
  },
  methods: {
    ...mapActions("users", ["fetchSingleProvider"]),
  },
  computed: {
    ...mapGetters("users", ["getProvider"]),
  },
};
</script>
